ChaCha_Policy Class Reference

ChaCha stream cipher implementation. More...

`#include <chacha.h>`

Inheritance diagram for ChaCha_Policy:

## Additional Inherited Members

Public Types inherited from AdditiveCipherConcretePolicy< word32, 16 >
typedef word32 | WordType
| Word type for the cipher.
Public Member Functions inherited from AdditiveCipherConcretePolicy< word32, 16 >
unsigned int | GetBytesPerIteration () const
| Provides number of bytes operated upon during an iteration.
unsigned int | GetIterationsToBuffer () const
| Provides buffer size based on iterations.
bool | CanOperateKeystream () const
| Flag indicating.
Public Member Functions inherited from AdditiveCipherAbstractPolicy
virtual void | WriteKeystream (byte *keystream, size_t iterationCount)
| Generate the keystream.
Static Public Attributes inherited from AdditiveCipherConcretePolicy< word32, 16 >
static const int | BYTES_PER_ITERATION
| Number of bytes for an iteration.

## Detailed Description

ChaCha stream cipher implementation.

Since
  Crypto++ 5.6.4

Definition at line 57 of file chacha.h.

## Constructor & Destructor Documentation

## ~ChaCha_Policy()

virtual ChaCha_Policy::~ChaCha_Policy | ( |  | ) |

inline virtual

Definition at line 60 of file chacha.h.

## ChaCha_Policy()

ChaCha_Policy::ChaCha_Policy | ( |  | ) |

inline

Definition at line 61 of file chacha.h.

The documentation for this class was generated from the following files:

- chacha.h
- chacha.cpp